ru.bitel.bgbilling.plugins.assistant.server.bean

## Class AssistantResponse

- java.lang.Object
- - ru.bitel.bgbilling.plugins.assistant.server.bean.AssistantResponse

-     public class AssistantResponse
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssistantResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFieldData(java.lang.String key, AssistantKeyValue[] values)`
    `void` | `addFieldData(java.lang.String key, java.time.LocalDate value)`
    `void` | `addFieldData(java.lang.String key, java.lang.String value)`
    `java.lang.String` | `getError()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getFieldValues()`
    `java.lang.String` | `getNextActionId()`
    `AssistantResponseStatus` | `getStatus()`
    `void` | `setError(java.lang.String error)`
    `void` | `setNextActionId(java.lang.String nextActionId)`
    `void` | `setStatus(AssistantResponseStatus status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssistantResponse

          public AssistantResponse()

  - ### Method Detail

    - #### getStatus

          public AssistantResponseStatus getStatus()

    - #### setStatus

          public void setStatus(AssistantResponseStatus status)

    - #### getError

          public java.lang.String getError()

    - #### setError

          public void setError(java.lang.String error)

    - #### getNextActionId

          public java.lang.String getNextActionId()

    - #### setNextActionId

          public void setNextActionId(java.lang.String nextActionId)

    - #### addFieldData

          public void addFieldData(java.lang.String key,
                                   AssistantKeyValue[] values)

    - #### addFieldData

          public void addFieldData(java.lang.String key,
                                   java.time.LocalDate value)

    - #### addFieldData

          public void addFieldData(java.lang.String key,
                                   java.lang.String value)

    - #### getFieldValues

          public java.util.Map<java.lang.String,java.lang.Object> getFieldValues()